curl --request GET \
--url https://api.galtea.ai/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "run_123",
"productId": "product_123",
"versionId": "version_123",
"userId": "user_123",
"ordinal": 42,
"customId": "nightly-regression",
"relaunchedFromRunId": "run_122",
"openedBy": "LAUNCH",
"status": "COMPLETED",
"evaluationCount": 120,
"sessionCount": 30,
"finishedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"launches": [
{
"id": "runLaunch_123",
"runId": "run_123",
"kind": "GENERATE_INFERENCES",
"jobId": "<string>",
"status": "COMPLETED",
"error": "<string>",
"request": {},
"resolvedInputs": {},
"finishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Get runs
Get list of evaluation launches with pagination and filtering. See Runs.
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Query Parameters
Filter by run IDs
Filter by product IDs
Filter by version IDs
Filter by the caller-supplied run labels
Filter by run statuses
RUNNING, COMPLETED, FAILED, CANCELLED Sort instructions (field and direction pairs)
Filter runs created at or after this timestamp (ISO 8601 format)
Filter runs created at or before this timestamp (ISO 8601 format)
Maximum number of results
0 <= x <= 9007199254740991Number of results to skip
x >= 0Response
Runs retrieved successfully
"run_123"
"product_123"
"version_123"
"user_123"
Per-product launch number, starting at 1 and never reused
42
Caller-supplied label
"nightly-regression"
The run this one repeats, when POST /runs/{id}/relaunch minted it
"run_122"
LAUNCH when a launch endpoint opened the run, which then closes when its last launch ends. CALLER when POST /runs opened it, which only POST /runs/{id}/close ends.
LAUNCH, CALLER "LAUNCH"
RUNNING, COMPLETED, FAILED, CANCELLED "COMPLETED"
Evaluations this run launched
120
Distinct sessions covered by the evaluations of this run
30
The launches the platform performed inside this run, oldest first. Single-run reads only.
Show child attributes
Show child attributes